package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FeishuApprovalsViewCollection extends AbstractObjectCollection 
{
    public FeishuApprovalsViewCollection()
    {
        super(FeishuApprovalsViewInfo.class);
    }
    public boolean add(FeishuApprovalsViewInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FeishuApprovalsViewCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FeishuApprovalsViewInfo item)
    {
        return removeObject(item);
    }
    public FeishuApprovalsViewInfo get(int index)
    {
        return(FeishuApprovalsViewInfo)getObject(index);
    }
    public FeishuApprovalsViewInfo get(Object key)
    {
        return(FeishuApprovalsViewInfo)getObject(key);
    }
    public void set(int index, FeishuApprovalsViewInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FeishuApprovalsViewInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FeishuApprovalsViewInfo item)
    {
        return super.indexOf(item);
    }
}